[Addon 1.115]Transformers BETA-1 v2.0 - Convert IC2 & BC3 energy back & forth!

  • I can't craft any engines either - both SSP and SMP.


    Using Transformers 1.3, BC 2.2.14 and IC 1.103

    Yes, recipe is broken with IC 1.103. Fix with transformer 1.4 for IC 1.103 and BC 3.1.5 or BC 2.2.14 ???

  • Hello guys,
    We also tried this addon on our IC2BC server and we have a problem.
    We run on IC2 v1.97 and BC 2.2.14, forge 3.3.8.164
    We cannot craft any item from tihs addon. NEI shows recipes good. We are using 1,3 version of this mod and we don´t know why it is not working. We can get items from creative and they work good.


    I have read this threat and a lot of people complaining that this error is for IC2 1.103 and that everything runs good at 1.97 , however we have same issue with 1.97.


    Somebody knows how to fix it? Thanks

  • Hello i am running Transformers v1.3 and Industrial Craft 1.97 on my server.
    But i can't craft anything from Transformers mod! I put all items into crafting table. Item will show for 0.1 sec and then disappear. But if i give it from creative it's work FINE! But i can't craft it . Any ideas how solve that?


    MC version: 1.2.5
    Transformers version: v1.3.
    IC version: 1.97
    BC version: 2.2.14
    And few other plugins and mods.

  • Just confirming what others have said; Recipes appear to be broken but engines work fine if they are "given" to the player (SMP OP give, SinglePlayerCommands, NEI, etc...).


    Testing in SSP with Minecraft 1.2.5
    ForgeClient 3.4.9.171
    BC 3.1.5
    IC2 1.103


    IDRPatch and IDResolver are in use, but I raised priority of Transformers so it is using the default IDs.

  • It's a shame the mod got broken with .103. I miss this mod so much. But someone mentioned that you can "cheat" them in and they'll work? Think I'll have to try that but it would feel so cheesy :(


    Is it IC .103 being the problem or NEI?

  • It's a shame the mod got broken with .103. I miss this mod so much. But someone mentioned that you can "cheat" them in and they'll work? Think I'll have to try that but it would feel so cheesy :(


    Is it IC .103 being the problem or NEI?

    The problem is the mod itself - it's hardcoded to only accept one version of IC2 and Buildcraft. If you decompile it and remove that hardcoded check, the crafting works fine (HV wooden pipes can't be crafted, but they don't seem to work either, so no big loss).

    GENERATION (Pineapple + i): The first pineapple you see, copy it into your sig on any forum and add sqrt(-1) to the generation. Pineapple experiment.

  • Quote

    The problem is the mod itself - it's hardcoded to only accept one version of IC2 and Buildcraft. If you decompile it and remove that hardcoded check, the crafting works fine (HV wooden pipes can't be crafted, but they don't seem to work either, so no big loss).


    I see what you mean with the hardcore check. I have no idea how to recompile, let alone decompile the mod to fix it tho but I do see the code with the version check.

  • I see what you mean with the hardcore check. I have no idea how to recompile, let alone decompile the mod to fix it tho but I do see the code with the version check.

    Decompiling it was a right royal pain in the arse (you need to decompile Forge, Buildcraft and the IC2 API at the same time as you do the Transformers mod), but it can be done. I'm using a hacked version now on IC2 v1.103.

    GENERATION (Pineapple + i): The first pineapple you see, copy it into your sig on any forum and add sqrt(-1) to the generation. Pineapple experiment.

  • Royal pain is putting it lightly. Can you "unofficially" put the modified transformers fix somewhere to be downloaded? :(


    <edit> I got stuck in the decompile of buildcraft API. You probably need 1.2.5 or something like that and they're running 1.3.2 right now. Honestly I have no idea how to even get the files of github to do it.
    <edit2> It says it needs ModLoader as well or is that included in forge nowadays?

  • Royal pain is putting it lightly. Can you "unofficially" put the modified transformers fix somewhere to be downloaded? :(


    I got stuck in the decompile of buildcraft API. You probably need 1.2.5 or something like that and they're running 1.3.2 right now. Honestly I have no idea how to even get the files of github to do it.
    It says it needs ModLoader as well or is that included in forge nowadays?

    Wasn't there a config option to disable version checking? Or didn't that work?

  • Wasn't there a config option to disable version checking? Or didn't that work?


    Doesn't change anything tho. Can't build anything from the mod, but you can of course cheat-summon the objects into the world.

  • We have on server the REQUIRED version (1,97 IC2) and also BC, but it still has the problem with no chance to craft items. However, we give items from creative of admins to the game and everybody can exchange for the stuff he originally needed for crafting, but thats only short time only solution :/


    On which version is that hardcore check? IC2 1,97 seems not be the one.


    PS: HV wooden pipe WORKS really well for me, guys.....i tried it in creative when we were testing it and it really can let pass through high energy.

  • Hello,
    I had this problem, I found the solution changed version, I use 1.3 SMB r1 instead of 1.3 r2.


    I hope that you will help your.

  • The change log states

    Quote


    - Added an option to the config to disable version checking


    I don't see this in the config file after running it, anyone know how to do it without performing surgery on the compiled code?


    And has anyone tried it with 1.106 yet?

  • I ask for permission to post newer versions for


    bc 2.2.14 - ic² 1.103
    bc 3.1.5 - ic² 1.103
    bc 3.1.6 - ic² 1.103


    client versions are ready including working recipes and crafting, server-versions will build and post after permission.


    Hope you can wait

  • I be waiting! Because this MOD is very important for me & my server. But my server running on bukkit. Will be port for bukkit?

  • No porting to 1.106 at this time.


    This is only to give users the chance to craft and use transformers in ic² 1.97 or 1.103 and any combination with bc from 2.2.14 to 3.1.6.51 (maybe up to ic² - bc3.1.6.102)


    Porting to MC1.3.2 and IC² 1.106 is this right of Snyke including new features etc.


    Most mods for mc1.3.2 are still full of bugs or on the way to port from mc1.2.5. So why port this addon to 1.106 while most people use IC² 1.97 or 1.103 on servers?




    Fun on server need stable mods!!

  • So Snyke give me permission to post the patched version.


    Here is the version for IC² 1.97 - 1.103 and BC 2.2.14 up to 3.1.6.51


    On server bc 3.1.6 the engines are not wrenchable. Please first place a pipe and then the engine to make it work as needed.


    This will be patched inkl. bukkit-port this weekend.


    On any client and server 2.2.14 engines are wrenchable.



    Greatz
    Mo3pp3l